Subject: Re: setup.exe does not always install cygwin1.dll?
From: "Jeroen W. Pluimers \(All I'M\)" <[email-masked]>
To: [email-masked]
Date: Wed, 17 Apr 2002 19:59:20 +0200
Newsgroups: gmane.os.cygwin

"Jon Foster" <[email-masked]> wrote in message
news:021201c1e616$4ce639b0$ad01a8c0@jj...

> > Am I doing something wrong?
> Yes.

Good to know that (big sigh of relief <g>).

> > If yes: what?
> You're not downloading the new "release" directory.  From setup.ini:

> : install: release/cygwin/cygwin-1.3.10-1.tar.bz2 896850

I see. Feel quite stupid now.
But still one question left: why doesn't the cygwin installer warn that it
cannot find some required files?

> Try:
> wget -m -np
ftp://mirrors.rcn.net/mirrors/sources.redhat.com/cygwin/release/

I just did (took quite some time, even on ADSL <g>) and it now installs
more, but still things were missing (for instance cygpcre.dll).
Seems one other thing that went wrong: there are symlinks from release to
latest, but W2K does not support symlinks (yeah technically it does, but in
practice it doesn't) so not all stuff from release got installed.

Adding the --retr-symlinks option to wget helps though.

Thanks very much for your insight.

--jeroen

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/